VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
ProgramListWithPitchNames Class Reference
VST Implementation Helper Classes

ProgramListWithPitchNames element. More...

`#include <vsteditcontroller.h>`

Inheritance diagram for ProgramListWithPitchNames:

## Public Types
using | PitchNamesVector = std::vector<PitchNameMap>
Public Types inherited from ProgramList
using | StringVector = std::vector<std::u16string>
using | ProgramInfoVector = std::vector<StringMap>

## Public Member Functions
| ProgramListWithPitchNames (const String128 name, ProgramListID listId, UnitID unitId)
bool | setPitchName (int32 programIndex, int16 pitch, const String128 pitchName)
| Sets a name for the given program index and a given pitch.
bool | removePitchName (int32 programIndex, int16 pitch)
| Removes the PitchName entry for the given program index and a given pitch.
int32 | addProgram (const String128 name) SMTG_OVERRIDE
tresult | hasPitchNames (int32 programIndex) SMTG_OVERRIDE
tresult | getPitchName (int32 programIndex, int16 midiPitch, String128 name) SMTG_OVERRIDE
Public Member Functions inherited from ProgramList
| ProgramList (const String128 name, ProgramListID listId, UnitID unitId)
| ProgramList (const ProgramList &programList)
const ProgramListInfo & | getInfo () const
ProgramListID | getID () const
const TChar * | getName () const
int32 | getCount () const
virtual tresult | getProgramName (int32 programIndex, String128 name)
virtual tresult | setProgramName (int32 programIndex, const String128 name)
virtual tresult | getProgramInfo (int32 programIndex, CString attributeId, String128 value)
virtual bool | setProgramInfo (int32 programIndex, CString attributeId, const String128 value)
| Sets a program attribute value.
virtual Parameter * | getParameter ()
| Creates and returns the program parameter.
virtual void | clearPrograms ()
| Clear all programs.

## Public Attributes
PitchNamesVector | pitchNames
Public Attributes inherited from ProgramList
ProgramListInfo | info {}
UnitID | unitId
StringVector | programNames
ProgramInfoVector | programInfos
Parameter * | parameter {nullptr}

## Detailed Description

ProgramListWithPitchNames element.

## Member Typedef Documentation

## ◆ PitchNamesVector

using PitchNamesVector = std::vector<PitchNameMap>

## Constructor & Destructor Documentation

## ◆ ProgramListWithPitchNames()

ProgramListWithPitchNames | ( | const String128 | name,
|  | ProgramListID | listId,
|  | UnitID | unitId )

## Member Function Documentation

## ◆ setPitchName()

bool setPitchName | ( | int32 | programIndex,
|  | int16 | pitch,
|  | const String128 | pitchName )

Sets a name for the given program index and a given pitch.

## ◆ removePitchName()

bool removePitchName | ( | int32 | programIndex,
|  | int16 | pitch )

Removes the PitchName entry for the given program index and a given pitch.

Returns true if it was found and removed.

## ◆ addProgram()

int32 addProgram | ( | const String128 | name | ) |
| virtual

Reimplemented from ProgramList.

## ◆ hasPitchNames()

tresult hasPitchNames | ( | int32 | programIndex | ) |
| virtual

Reimplemented from ProgramList.

## ◆ getPitchName()

tresult getPitchName | ( | int32 | programIndex,
|  | int16 | midiPitch,
|  | String128 | name )
| virtual

Reimplemented from ProgramList.

## Member Data Documentation

## ◆ pitchNames

PitchNamesVector pitchNames

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.